with GNATCOM.Dispinterface;

package MSHTML.IHTMLInputElement3_Interface is

   type IHTMLInputElement3_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IHTMLInputElement3_Type);

   function Pointer (This : IHTMLInputElement3_Type)
     return Pointer_To_IHTMLInputElement3;

   procedure Attach (This    : in out IHTMLInputElement3_Type;
                     Pointer : in     Pointer_To_IHTMLInputElement3);

   procedure Put_src
     (This : IHTMLInputElement3_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_src
     (This : IHTMLInputElement3_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_lowsrc
     (This : IHTMLInputElement3_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_lowsrc
     (This : IHTMLInputElement3_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_vrml
     (This : IHTMLInputElement3_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_vrml
     (This : IHTMLInputElement3_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_dynsrc
     (This : IHTMLInputElement3_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_dynsrc
     (This : IHTMLInputElement3_Type)
     return GNATCOM.Types.BSTR;

end MSHTML.IHTMLInputElement3_Interface;

